diff -Nru adminer-4.2.1/adminer/drivers/elastic.inc.php adminer-4.2.4/adminer/drivers/elastic.inc.php
--- adminer-4.2.1/adminer/drivers/elastic.inc.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/adminer/drivers/elastic.inc.php	2016-02-06 11:10:16.000000000 -0800
@@ -81,7 +81,7 @@
 		class Min_Result {
 			var $num_rows, $_rows;
 
-			function Min_Result($rows) {
+			function __construct($rows) {
 				$this->num_rows = count($this->_rows);
 				$this->_rows = $rows;
 				reset($this->_rows);
diff -Nru adminer-4.2.1/adminer/drivers/firebird.inc.php adminer-4.2.4/adminer/drivers/firebird.inc.php
--- adminer-4.2.1/adminer/drivers/firebird.inc.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/adminer/drivers/firebird.inc.php	2016-02-06 11:10:16.000000000 -0800
@@ -81,7 +81,7 @@
 		class Min_Result {
 			var $num_rows, $_result, $_offset = 0;
 
-			function Min_Result($result) {
+			function __construct($result) {
 				$this->_result = $result;
 				// $this->num_rows = ibase_num_rows($result);
 			}
diff -Nru adminer-4.2.1/adminer/drivers/mongo.inc.php adminer-4.2.4/adminer/drivers/mongo.inc.php
--- adminer-4.2.1/adminer/drivers/mongo.inc.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/adminer/drivers/mongo.inc.php	2016-02-06 11:10:16.000000000 -0800
@@ -52,7 +52,7 @@
 		class Min_Result {
 			var $num_rows, $_rows = array(), $_offset = 0, $_charset = array();
 
-			function Min_Result($result) {
+			function __construct($result) {
 				foreach ($result as $item) {
 					$row = array();
 					foreach ($item as $key => $val) {
diff -Nru adminer-4.2.1/adminer/drivers/mssql.inc.php adminer-4.2.4/adminer/drivers/mssql.inc.php
--- adminer-4.2.1/adminer/drivers/mssql.inc.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/adminer/drivers/mssql.inc.php	2016-02-06 11:10:16.000000000 -0800
@@ -93,7 +93,7 @@
 		class Min_Result {
 			var $_result, $_offset = 0, $_fields, $num_rows;
 
-			function Min_Result($result) {
+			function __construct($result) {
 				$this->_result = $result;
 				// $this->num_rows = sqlsrv_num_rows($result); // available only in scrollable results
 			}
@@ -201,7 +201,7 @@
 		class Min_Result {
 			var $_result, $_offset = 0, $_fields, $num_rows;
 
-			function Min_Result($result) {
+			function __construct($result) {
 				$this->_result = $result;
 				$this->num_rows = mssql_num_rows($result);
 			}
diff -Nru adminer-4.2.1/adminer/drivers/mysql.inc.php adminer-4.2.4/adminer/drivers/mysql.inc.php
--- adminer-4.2.1/adminer/drivers/mysql.inc.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/adminer/drivers/mysql.inc.php	2016-02-06 11:10:16.000000000 -0800
@@ -9,20 +9,20 @@
 		class Min_DB extends MySQLi {
 			var $extension = "MySQLi";
 
-			function Min_DB() {
+			function __construct() {
 				parent::init();
 			}
 
-			function connect($server, $username, $password) {
+			function connect($server = "", $username = "", $password = "", $database = null, $port = null, $socket = null) {
 				mysqli_report(MYSQLI_REPORT_OFF); // stays between requests, not required since PHP 5.3.4
 				list($host, $port) = explode(":", $server, 2); // part after : is used for port or socket
 				$return = @$this->real_connect(
 					($server != "" ? $host : ini_get("mysqli.default_host")),
 					($server . $username != "" ? $username : ini_get("mysqli.default_user")),
 					($server . $username . $password != "" ? $password : ini_get("mysqli.default_pw")),
-					null,
+					$database,
 					(is_numeric($port) ? $port : ini_get("mysqli.default_port")),
-					(!is_numeric($port) ? $port : null)
+					(!is_numeric($port) ? $port : $socket)
 				);
 				return $return;
 			}
@@ -181,7 +181,7 @@
 			/** Constructor
 			* @param resource
 			*/
-			function Min_Result($result) {
+			function __construct($result) {
 				$this->_result = $result;
 				$this->num_rows = mysql_num_rows($result);
 			}
@@ -581,16 +581,6 @@
 		return h(preg_replace('~^You have an error.*syntax to use~U', "Syntax error", $connection->error));
 	}
 
-	/** Get line of error
-	* @return int 0 for first line
-	*/
-	function error_line() {
-		global $connection;
-		if (preg_match('~ at line ([0-9]+)$~', $connection->error, $regs)) {
-			return $regs[1] - 1;
-		}
-	}
-
 	/** Create database
 	* @param string
 	* @param string
diff -Nru adminer-4.2.1/adminer/drivers/oracle.inc.php adminer-4.2.4/adminer/drivers/oracle.inc.php
--- adminer-4.2.1/adminer/drivers/oracle.inc.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/adminer/drivers/oracle.inc.php	2016-02-06 11:10:16.000000000 -0800
@@ -80,7 +80,7 @@
 		class Min_Result {
 			var $_result, $_offset = 1, $num_rows;
 
-			function Min_Result($result) {
+			function __construct($result) {
 				$this->_result = $result;
 			}
 
diff -Nru adminer-4.2.1/adminer/drivers/pgsql.inc.php adminer-4.2.4/adminer/drivers/pgsql.inc.php
--- adminer-4.2.1/adminer/drivers/pgsql.inc.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/adminer/drivers/pgsql.inc.php	2016-02-06 11:10:16.000000000 -0800
@@ -94,7 +94,7 @@
 		class Min_Result {
 			var $_result, $_offset = 0, $num_rows;
 
-			function Min_Result($result) {
+			function __construct($result) {
 				$this->_result = $result;
 				$this->num_rows = pg_num_rows($result);
 			}
diff -Nru adminer-4.2.1/adminer/drivers/simpledb.inc.php adminer-4.2.4/adminer/drivers/simpledb.inc.php
--- adminer-4.2.1/adminer/drivers/simpledb.inc.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/adminer/drivers/simpledb.inc.php	2016-02-06 11:10:16.000000000 -0800
@@ -56,7 +56,7 @@
 		class Min_Result {
 			var $num_rows, $_rows = array(), $_offset = 0;
 
-			function Min_Result($result) {
+			function __construct($result) {
 				foreach ($result as $item) {
 					$row = array();
 					if ($item->Name != '') { // SELECT COUNT(*)
diff -Nru adminer-4.2.1/adminer/drivers/sqlite.inc.php adminer-4.2.4/adminer/drivers/sqlite.inc.php
--- adminer-4.2.1/adminer/drivers/sqlite.inc.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/adminer/drivers/sqlite.inc.php	2016-02-06 11:10:16.000000000 -0800
@@ -11,7 +11,7 @@
 			class Min_SQLite {
 				var $extension = "SQLite3", $server_info, $affected_rows, $errno, $error, $_link;
 
-				function Min_SQLite($filename) {
+				function __construct($filename) {
 					$this->_link = new SQLite3($filename);
 					$version = $this->_link->version();
 					$this->server_info = $version["versionString"];
@@ -55,7 +55,7 @@
 			class Min_Result {
 				var $_result, $_offset = 0, $num_rows;
 
-				function Min_Result($result) {
+				function __construct($result) {
 					$this->_result = $result;
 				}
 
@@ -87,7 +87,7 @@
 			class Min_SQLite {
 				var $extension = "SQLite", $server_info, $affected_rows, $error, $_link;
 
-				function Min_SQLite($filename) {
+				function __construct($filename) {
 					$this->server_info = sqlite_libversion();
 					$this->_link = new SQLiteDatabase($filename);
 				}
@@ -127,7 +127,7 @@
 			class Min_Result {
 				var $_result, $_offset = 0, $num_rows;
 
-				function Min_Result($result) {
+				function __construct($result) {
 					$this->_result = $result;
 					if (method_exists($result, 'numRows')) { // not available in unbuffered query
 						$this->num_rows = $result->numRows();
@@ -172,7 +172,7 @@
 		class Min_SQLite extends Min_PDO {
 			var $extension = "PDO_SQLite";
 
-			function Min_SQLite($filename) {
+			function __construct($filename) {
 				$this->dsn(DRIVER . ":$filename", "", "");
 			}
 		}
@@ -182,13 +182,13 @@
 	if (class_exists("Min_SQLite")) {
 		class Min_DB extends Min_SQLite {
 
-			function Min_DB() {
-				$this->Min_SQLite(":memory:");
+			function __construct() {
+				parent::__construct(":memory:");
 			}
 
 			function select_db($filename) {
 				if (is_readable($filename) && $this->query("ATTACH " . $this->quote(preg_match("~(^[/\\\\]|:)~", $filename) ? $filename : dirname($_SERVER["SCRIPT_FILENAME"]) . "/$filename") . " AS a")) { // is_readable - SQLite 3
-					$this->Min_SQLite($filename);
+					parent::__construct($filename);
 					return true;
 				}
 				return false;
@@ -440,7 +440,7 @@
 
 	function drop_databases($databases) {
 		global $connection;
-		$connection->Min_SQLite(":memory:"); // to unlock file, doesn't work in PDO on Windows
+		$connection->__construct(":memory:"); // to unlock file, doesn't work in PDO on Windows
 		foreach ($databases as $db) {
 			if (!@unlink($db)) {
 				$connection->error = lang('File exists.');
@@ -455,7 +455,7 @@
 		if (!check_sqlite_name($name)) {
 			return false;
 		}
-		$connection->Min_SQLite(":memory:");
+		$connection->__construct(":memory:");
 		$connection->error = lang('File exists.');
 		return @rename(DB, $name);
 	}
diff -Nru adminer-4.2.1/adminer/include/adminer.inc.php adminer-4.2.4/adminer/include/adminer.inc.php
--- adminer-4.2.1/adminer/include/adminer.inc.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/adminer/include/adminer.inc.php	2016-02-06 11:10:16.000000000 -0800
@@ -9,7 +9,7 @@
 	* @return string HTML code
 	*/
 	function name() {
-		return "<a href='http://www.adminer.org/' target='_blank' id='h1'>Adminer</a>";
+		return "<a href='https://www.adminer.org/' target='_blank' id='h1'>Adminer</a>";
 	}
 
 	/** Connection parameters
@@ -778,7 +778,7 @@
 		?>
 <h1>
 <?php echo $this->name(); ?> <span class="version"><?php echo $VERSION; ?></span>
-<a href="http://www.adminer.org/#download" target="_blank" id="version"><?php echo (version_compare($VERSION, $_COOKIE["adminer_version"]) < 0 ? h($_COOKIE["adminer_version"]) : ""); ?></a>
+<a href="https://www.adminer.org/#download" target="_blank" id="version"><?php echo (version_compare($VERSION, $_COOKIE["adminer_version"]) < 0 ? h($_COOKIE["adminer_version"]) : ""); ?></a>
 </h1>
 <?php
 		if ($missing == "auth") {
diff -Nru adminer-4.2.1/adminer/include/auth.inc.php adminer-4.2.4/adminer/include/auth.inc.php
--- adminer-4.2.1/adminer/include/auth.inc.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/adminer/include/auth.inc.php	2016-02-06 11:10:16.000000000 -0800
@@ -131,7 +131,7 @@
 			$password = get_password();
 			if ($password !== null) {
 				if ($password === false) {
-					$error .= '<br>' . lang('Master password expired. <a href="http://www.adminer.org/en/extension/" target="_blank">Implement</a> %s method to make it permanent.', '<code>permanentLogin()</code>');
+					$error .= '<br>' . lang('Master password expired. <a href="https://www.adminer.org/en/extension/" target="_blank">Implement</a> %s method to make it permanent.', '<code>permanentLogin()</code>');
 				}
 				set_password(DRIVER, SERVER, $_GET["username"], null);
 			}
diff -Nru adminer-4.2.1/adminer/include/connect.inc.php adminer-4.2.4/adminer/include/connect.inc.php
--- adminer-4.2.1/adminer/include/connect.inc.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/adminer/include/connect.inc.php	2016-02-06 11:10:16.000000000 -0800
@@ -35,7 +35,7 @@
 				. "<th>" . lang('Database') . " - <a href='" . h(ME) . "refresh=1'>" . lang('Refresh') . "</a>"
 				. "<td>" . lang('Collation')
 				. "<td>" . lang('Tables')
-				. "<td>" . lang('Size') . " - <a href='" . h(ME) . "dbsize=1' onclick=\"return !ajaxSetHtml('" . js_escape(ME) . "script=connect');\">" . lang('Compute') . "</a>"
+				. "<td>" . lang('Size') . " - <a href='" . h(ME) . "dbsize=1' onclick=\"return !ajaxSetHtml('" . h(js_escape(ME)) . "script=connect');\">" . lang('Compute') . "</a>"
 				. "</thead>\n"
 			;
 			
diff -Nru adminer-4.2.1/adminer/include/driver.inc.php adminer-4.2.4/adminer/include/driver.inc.php
--- adminer-4.2.1/adminer/include/driver.inc.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/adminer/include/driver.inc.php	2016-02-06 11:10:16.000000000 -0800
@@ -6,7 +6,7 @@
 	/** Create object for performing database operations
 	* @param Min_DB
 	*/
-	function Min_SQL($connection) {
+	function __construct($connection) {
 		$this->_conn = $connection;
 	}
 	
diff -Nru adminer-4.2.1/adminer/include/editing.inc.php adminer-4.2.4/adminer/include/editing.inc.php
--- adminer-4.2.1/adminer/include/editing.inc.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/adminer/include/editing.inc.php	2016-02-06 11:10:16.000000000 -0800
@@ -141,7 +141,7 @@
 	global $structured_types, $types, $unsigned, $on_actions;
 	$type = $field["type"];
 	?>
-<td><select name="<?php echo $key; ?>[type]" class="type" onfocus="lastType = selectValue(this);" onchange="editingTypeChange(this);"<?php echo on_help("getTarget(event).value", 1); ?>><?php
+<td><select name="<?php echo h($key); ?>[type]" class="type" onfocus="lastType = selectValue(this);" onchange="editingTypeChange(this);"<?php echo on_help("getTarget(event).value", 1); ?>><?php
 if ($type && !isset($types[$type]) && !isset($foreign_keys[$type])) {
 	array_unshift($structured_types, $type);
 }
@@ -150,11 +150,11 @@
 }
 echo optionlist($structured_types, $type);
 ?></select>
-<td><input name="<?php echo $key; ?>[length]" value="<?php echo h($field["length"]); ?>" size="3" onfocus="editingLengthFocus(this);"<?php echo (!$field["length"] && preg_match('~var(char|binary)$~', $type) ? " class='required'" : ""); ?> onchange="editingLengthChange(this);" onkeyup="this.onchange();"><td class="options"><?php //! type="number" with enabled JavaScript
-	echo "<select name='$key" . "[collation]'" . (preg_match('~(char|text|enum|set)$~', $type) ? "" : " class='hidden'") . '><option value="">(' . lang('collation') . ')' . optionlist($collations, $field["collation"]) . '</select>';
-	echo ($unsigned ? "<select name='$key" . "[unsigned]'" . (!$type || preg_match('~((^|[^o])int|float|double|decimal)$~', $type) ? "" : " class='hidden'") . '><option>' . optionlist($unsigned, $field["unsigned"]) . '</select>' : '');
-	echo (isset($field['on_update']) ? "<select name='$key" . "[on_update]'" . (preg_match('~timestamp|datetime~', $type) ? "" : " class='hidden'") . '>' . optionlist(array("" => "(" . lang('ON UPDATE') . ")", "CURRENT_TIMESTAMP"), $field["on_update"]) . '</select>' : '');
-	echo ($foreign_keys ? "<select name='$key" . "[on_delete]'" . (preg_match("~`~", $type) ? "" : " class='hidden'") . "><option value=''>(" . lang('ON DELETE') . ")" . optionlist(explode("|", $on_actions), $field["on_delete"]) . "</select> " : " "); // space for IE
+<td><input name="<?php echo h($key); ?>[length]" value="<?php echo h($field["length"]); ?>" size="3" onfocus="editingLengthFocus(this);"<?php echo (!$field["length"] && preg_match('~var(char|binary)$~', $type) ? " class='required'" : ""); ?> onchange="editingLengthChange(this);" onkeyup="this.onchange();"><td class="options"><?php //! type="number" with enabled JavaScript
+	echo "<select name='" . h($key) . "[collation]'" . (preg_match('~(char|text|enum|set)$~', $type) ? "" : " class='hidden'") . '><option value="">(' . lang('collation') . ')' . optionlist($collations, $field["collation"]) . '</select>';
+	echo ($unsigned ? "<select name='" . h($key) . "[unsigned]'" . (!$type || preg_match('~((^|[^o])int|float|double|decimal)$~', $type) ? "" : " class='hidden'") . '><option>' . optionlist($unsigned, $field["unsigned"]) . '</select>' : '');
+	echo (isset($field['on_update']) ? "<select name='" . h($key) . "[on_update]'" . (preg_match('~timestamp|datetime~', $type) ? "" : " class='hidden'") . '>' . optionlist(array("" => "(" . lang('ON UPDATE') . ")", "CURRENT_TIMESTAMP"), $field["on_update"]) . '</select>' : '');
+	echo ($foreign_keys ? "<select name='" . h($key) . "[on_delete]'" . (preg_match("~`~", $type) ? "" : " class='hidden'") . "><option value=''>(" . lang('ON DELETE') . ")" . optionlist(explode("|", $on_actions), $field["on_delete"]) . "</select> " : " "); // space for IE
 }
 
 /** Filter length value including enums
@@ -234,6 +234,7 @@
 */
 function edit_fields($fields, $collations, $type = "TABLE", $foreign_keys = array(), $comments = false) {
 	global $connection, $inout;
+	$fields = array_values($fields);
 	?>
 <thead><tr class="wrap">
 <?php if ($type == "PROCEDURE") { ?><td>&nbsp;<?php } ?>
diff -Nru adminer-4.2.1/adminer/include/functions.inc.php adminer-4.2.4/adminer/include/functions.inc.php
--- adminer-4.2.1/adminer/include/functions.inc.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/adminer/include/functions.inc.php	2016-02-06 11:10:16.000000000 -0800
@@ -1137,7 +1137,7 @@
 		if ($protocol = is_url($val)) {
 			$link = (($protocol == "http" && $HTTPS) || preg_match('~WebKit~i', $_SERVER["HTTP_USER_AGENT"]) // WebKit supports noreferrer since 2009
 				? $val // HTTP links from HTTPS pages don't receive Referer automatically
-				: "$protocol://www.adminer.org/redirect/?url=" . urlencode($val) // intermediate page to hide Referer
+				: "https://www.adminer.org/redirect/?url=" . urlencode($val) // intermediate page to hide Referer
 			);
 		}
 	}
diff -Nru adminer-4.2.1/adminer/include/lang.inc.php adminer-4.2.4/adminer/include/lang.inc.php
--- adminer-4.2.1/adminer/include/lang.inc.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/adminer/include/lang.inc.php	2016-02-06 11:10:16.000000000 -0800
@@ -4,15 +4,20 @@
 $langs = array(
 	'en' => 'English', // Jakub Vr??na - http://www.vrana.cz
 	'ar' => '??????????????', // Y.M Amine - Algeria - nbr7@live.fr
+	'bg' => '??????????????????', // Deyan Delchev
 	'bn' => '???????????????', // Dipak Kumar - dipak.ndc@gmail.com
+	'bs' => 'Bosanski', // Emir Kurtovic
 	'ca' => 'Catal??', // Joan Llosas
 	'cs' => '??e??tina', // Jakub Vr??na - http://www.vrana.cz
 	'da' => 'Dansk', // Jarne W. Beutnagel - jarne@beutnagel.dk
 	'de' => 'Deutsch', // Klemens H??ckel - http://clickdimension.wordpress.com
+	'el' => '????????????????', // Dimitrios T. Tanis - jtanis@tanisfood.gr
 	'es' => 'Espa??ol', // Klemens H??ckel - http://clickdimension.wordpress.com
 	'et' => 'Eesti', // Priit Kallas
 	'fa' => '??????????', // mojtaba barghbani - Iran - mbarghbani@gmail.com, Nima Amini - http://nimlog.com
+	'fi' => 'Suomi', // Finnish - Kari Eveli - http://www.lexitec.fi/
 	'fr' => 'Fran??ais', // Francis Gagn??, Aur??lien Royer
+	'gl' => 'Galego', // Eduardo Penabad Ramos
 	'hu' => 'Magyar', // Borsos Szil??rd (Borsosfi) - http://www.borsosfi.hu, info@borsosfi.hu
 	'id' => 'Bahasa Indonesia', // Ivan Lanin - http://ivan.lanin.org
 	'it' => 'Italiano', // Alessandro Fiorotto, Paolo Asperti
@@ -58,11 +63,11 @@
 		$pos = ($number == 1 ? 0
 			: ($LANG == 'cs' || $LANG == 'sk' ? ($number && $number < 5 ? 1 : 2) // different forms for 1, 2-4, other
 			: ($LANG == 'fr' ? (!$number ? 0 : 1) // different forms for 0-1, other
-			: ($LANG == 'pl' ? ($number % 10 > 1 && $number % 10 < 5 && $number / 10 % 10 != 1 ? 1 : 2) // different forms for 1, 2-4, other
+			: ($LANG == 'pl' ? ($number % 10 > 1 && $number % 10 < 5 && $number / 10 % 10 != 1 ? 1 : 2) // different forms for 1, 2-4 except 12-14, other
 			: ($LANG == 'sl' ? ($number % 100 == 1 ? 0 : ($number % 100 == 2 ? 1 : ($number % 100 == 3 || $number % 100 == 4 ? 2 : 3))) // different forms for 1, 2, 3-4, other
 			: ($LANG == 'lt' ? ($number % 10 == 1 && $number % 100 != 11 ? 0 : ($number % 10 > 1 && $number / 10 % 10 != 1 ? 1 : 2)) // different forms for 1, 12-19, other
-			: ($LANG == 'ru' || $LANG == 'sr' || $LANG == 'uk' ? ($number % 10 == 1 && $number % 100 != 11 ? 0 : ($number % 10 > 1 && $number % 10 < 5 && $number / 10 % 10 != 1 ? 1 : 2)) // different forms for 1, 2-4, other
-			: 1
+			: ($LANG == 'bs' || $LANG == 'ru' || $LANG == 'sr' || $LANG == 'uk' ? ($number % 10 == 1 && $number % 100 != 11 ? 0 : ($number % 10 > 1 && $number % 10 < 5 && $number / 10 % 10 != 1 ? 1 : 2)) // different forms for 1 except 11, 2-4 except 12-14, other
+			: 1 // different forms for 1, other
 		))))))); // http://www.gnu.org/software/gettext/manual/html_node/Plural-forms.html
 		$translation = $translation[$pos];
 	}
diff -Nru adminer-4.2.1/adminer/include/tmpfile.inc.php adminer-4.2.4/adminer/include/tmpfile.inc.php
--- adminer-4.2.1/adminer/include/tmpfile.inc.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/adminer/include/tmpfile.inc.php	2016-02-06 11:10:16.000000000 -0800
@@ -4,7 +4,7 @@
 	var $handler;
 	var $size;
 	
-	function TmpFile() {
+	function __construct() {
 		$this->handler = tmpfile();
 	}
 	
diff -Nru adminer-4.2.1/adminer/include/version.inc.php adminer-4.2.4/adminer/include/version.inc.php
--- adminer-4.2.1/adminer/include/version.inc.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/adminer/include/version.inc.php	2016-02-06 11:10:16.000000000 -0800
@@ -1,2 +1,2 @@
 <?php
-$VERSION = "4.2.1";
+$VERSION = "4.2.4";
diff -Nru adminer-4.2.1/adminer/indexes.inc.php adminer-4.2.4/adminer/indexes.inc.php
--- adminer-4.2.1/adminer/indexes.inc.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/adminer/indexes.inc.php	2016-02-06 11:10:16.000000000 -0800
@@ -117,7 +117,7 @@
 		$i = 1;
 		foreach ($index["columns"] as $key => $column) {
 			echo "<span>" . select_input(
-				" name='indexes[$j][columns][$i]' onchange=\"" . ($i == count($index["columns"]) ? "indexesAddColumn" : "indexesChangeColumn") . "(this, '" . js_escape($jush == "sql" ? "" : $_GET["indexes"] . "_") . "');\"",
+				" name='indexes[$j][columns][$i]' onchange=\"" . ($i == count($index["columns"]) ? "indexesAddColumn" : "indexesChangeColumn") . "(this, '" . h(js_escape($jush == "sql" ? "" : $_GET["indexes"] . "_")) . "');\"",
 				($fields ? array_combine($fields, $fields) : $fields),
 				$column
 			);
diff -Nru adminer-4.2.1/adminer/index.php adminer-4.2.4/adminer/index.php
--- adminer-4.2.1/adminer/index.php	2015-03-10 09:33:44.000000000 -0700
+++ adminer-4.2.4/adminer/index.php	2016-02-06 11:10:16.000000000 -0800
@@ -1,6 +1,6 @@
 <?php
 /** Adminer - Compact database management
-* @link http://www.adminer.org/
+* @link https://www.adminer.org/
 * @author Jakub Vrana, http://www.vrana.cz/
 * @copyright 2007 Jakub Vrana
 * @license http://www.apache.org/licenses/LICENSE-2.0 Apache License, Version 2.0
